MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030150Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-09-21 09:452018-10-22 11:52
Reporteremv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030150: Modeling Algorithms - Removal of BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes
DescriptionBRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes are the additional API for performing Boolean operations. It uses long unsupported (deprecated) Boolean operations algorithm BRepAlgo_BooleanOperation.
In frames of this issue it is necessary:
- Replace usage of BRepAlgo_DSAccess class in BRepFill_Draft with usage of modern Boolean operations algorithm
- Remove these classes from OCCT
Steps To Reproducetest bugs modalg_7 bug30150
TagsNo tags attached.
Test case numberbugs modalg_7 bug30150
Attached Files

- Relationships
related to 0030145verifiedbugmaster Modeling Algorithms - Boolean Operations on open solids 
child of 0028575assignedemv Removal of the old Boolean Operations algorithm - BRepAlgo_BooleanOperation 

-  Notes
(0079305)
git (administrator)
2018-09-21 11:31

Branch CR30150 has been created by emv.

SHA-1: 1f4df7e72c8e1489ca045f52619bdb306ef916bd


Detailed log of new commits:

Author: emv
Date: Fri Sep 21 11:29:23 2018 +0300

    0030150: Modeling Algorithms - Removal of BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes
    
    Replacing usage of BRepAlgo_DSAccess with usage of modern Boolean operations algorithms in BRepFill_Draft.
    Removing BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes.
(0079307)
git (administrator)
2018-09-21 12:09

Branch CR30150 has been updated forcibly by emv.

SHA-1: 8ba3cce6bfbe02fb398b4848bc4a3dcdc925cb32
(0079765)
git (administrator)
2018-10-08 07:55

Branch CR30150 has been updated forcibly by emv.

SHA-1: 3204c22e3a8b302a7a9e97601ebd28579d208f0f
(0079824)
emv (developer)
2018-10-09 15:45

Dear Mikhail, could you please review the git branch CR30150?

Test results - http://jenkins-test-12.nnov.opencascade.com/view/CR30150-master-emv/view/COMPARE/. [^]

The testing results show the odd image of the test case "sat read_parallel_1 A1" on Debian, so I've run several times this case manually on debianex4 and the result was always OK.
(0079923)
msv (developer)
2018-10-12 18:11

Reviewed.
(0079962)
apn (administrator)
2018-10-15 15:19

Combination -
OCCT branch : CR30150 SHA - 3204c22e3a8b302a7a9e97601ebd28579d208f0f
Products branch : master SHA - fa672296ba29ad12e59ba21c0c612c412b808a5d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

Test case:
bugs modalg_7 bug30150 - OK

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17385.379999999906 / 17385.999999999854 [-0.00%]
Products
Total CPU difference: 7428.060000000058 / 7445.680000000064 [-0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 17472.689203698472 / 17457.853508598404 [+0.08%]
Products
Total CPU difference: 8367.76883919998 / 8343.292282299992 [+0.29%]

Image differences :
IMAGE sat read_parallel_1 A1: A1.png differs (unstable on Linux)

Memory differences :
No differences that require special attention
(0080188)
git (administrator)
2018-10-22 11:52

Branch CR30150 has been deleted by inv.

SHA-1: 3204c22e3a8b302a7a9e97601ebd28579d208f0f

- Related Changesets
occt: master 0fdcb9c9
Timestamp: 2018-09-21 08:29:23
Author: emv
Committer: apn
Details ] Diff ]
0030150: Modeling Algorithms - Removal of BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes

Replacing usage of BRepAlgo_DSAccess with usage of modern Boolean operations algorithms in BRepFill_Draft.
Removing BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes.

The following classes have been removed as unused:
* BRepAlgo_DataMapOfShapeBoolean
* BRepAlgo_DataMapOfShapeInterference
* BRepAlgo_EdgeConnector
* BRepAlgo_SequenceOfSequenceOfInteger
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - src/BRepAlgo/BRepAlgo.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_BooleanOperations.cxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_BooleanOperations.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_DataMapIteratorOfDataMapOfShapeBoolean.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_DataMapIteratorOfDataMapOfShapeInterference.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_DataMapOfShapeBoolean.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_DataMapOfShapeInterference.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_DSAccess.cxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_DSAccess.hxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_EdgeConnector.cxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_EdgeConnector.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_NormalProjection.cxx Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_SequenceOfSequenceOfInteger.hxx Diff ] File ]
mod - src/BRepAlgo/FILES Diff ] File ]
mod - src/BRepFill/BRepFill_Draft.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_HBuilder.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug30150 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-21 09:45 emv New Issue
2018-09-21 09:45 emv Assigned To => msv
2018-09-21 09:45 emv Assigned To msv => emv
2018-09-21 09:45 emv Status new => assigned
2018-09-21 09:45 emv Relationship added child of 0028575
2018-09-21 09:45 emv Relationship added related to 0030145
2018-09-21 11:08 emv Summary Removal of BRepAlgo_DSAccess class => Removal of BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes
2018-09-21 11:08 emv Description Updated View Revisions
2018-09-21 11:21 emv Summary Removal of BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes => Modeling Algorithms - Removal of BRepAlgo_BooleanOperations and BRepAlgo_DSAccess classes
2018-09-21 11:31 git Note Added: 0079305
2018-09-21 12:09 git Note Added: 0079307
2018-10-08 07:55 git Note Added: 0079765
2018-10-09 15:45 emv Note Added: 0079824
2018-10-09 15:45 emv Assigned To emv => msv
2018-10-09 15:45 emv Status assigned => resolved
2018-10-09 15:45 emv Steps to Reproduce Updated View Revisions
2018-10-12 18:11 msv Note Added: 0079923
2018-10-12 18:11 msv Assigned To msv => bugmaster
2018-10-12 18:11 msv Status resolved => reviewed
2018-10-15 15:19 apn Test case number => bugs modalg_7 bug30150
2018-10-15 15:19 apn Note Added: 0079962
2018-10-15 15:19 apn Status reviewed => tested
2018-10-21 20:16 apn Changeset attached => occt master 0fdcb9c9
2018-10-21 20:16 apn Assigned To bugmaster => apn
2018-10-21 20:16 apn Status tested => verified
2018-10-21 20:16 apn Resolution open => fixed
2018-10-22 11:52 git Note Added: 0080188


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker